## natsort-1.0.5.tar.gz

=== Makefile ===
VERSION=1.0.5
RELEASE_DIR=releases/natsort-$(VERSION)
CC=gcc
prefix=/usr
DEFAULT_BINDIR=${prefix}/bin
NATSORT_DEST=natsort

[ "x" = "x$BINDIR" ] && BINDIR=${DEFAULT_BINDIR}

all: natsort
natsort: bin strnatcmp.o natsort.o
	gcc -o $(NATSORT_DEST) strnatcmp.o natsort.o
natsort.o: natsort.c
	gcc -Wall -c -o natsort.o natsort.c
strnatcmp.o: strnatcmp.c
	gcc -Wall -c -o strnatcmp.o strnatcmp.c
clean:
	rm -rf $(NATSORT_DEST) *.o bin/* ./releases/*
releases:
	mkdir releases
bin:
	mkdir bin
tarball: releases clean
	mkdir -p $(RELEASE_DIR)
	cp Makefile Portfile natsort.c strnatcmp.c strnatcmp.h $(RELEASE_DIR)
	cd releases && tar -zcvf natsort-$(VERSION).tar.gz natsort-$(VERSION) 
sums: 
	md5sum releases/natsort-$(VERSION).tar.gz
	shasum releases/natsort-$(VERSION).tar.gz

# install: natsort
	# mkdir -p $(DESTDIR)
	# # install -d $(DESTDIR)
	# install $(BINDIR)/natsort $(DESTDIR)

install: natsort
	install -d $(BINDIR)
	if [ -e $(NATSORT_DEST) ]; then \
	  install -s $(NATSORT_DEST) $(BINDIR)/$(NATSORT_DEST); \
	fi

=== Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0

name                natsort
version             1.0.5
categories          sysutils
maintainers         nmurray
description         Martin Pool's Natural Order String Comparison Sorting Utility
long_description    natsort is a natural order string comparison sorting utility. Written by Martin Pool.
homepage            http://sourcefrog.net/projects/natsort/
platforms           darwin
# master_sites        sourceforge
master_sites        http://localhost/experiments/ports/natsort/releases/

checksums           md5 dff743ceb2dd2cf1034bd9f330359e12 \
                    sha1 5ef321bcad50da44b676e0c3290896dd242e64e3

use_configure       no
destroot.args       BINDIR=${destroot}${prefix}/bin
# destroot.destdir    PREFIX=${destroot}${prefix}
